Support » Plugins and Hacks » Limit Categories plugin not working in 2.1?

  • Resolved revilo788

    (@revilo788)


    Has anyone got the Limit Categories plugin by Owen to work in WordPress 2.1? The plugin activates and settings show up under the “Limit Cats” tab, but every user can still post to every category. I was wondering if there was a simple fix, as I got great use out of this plugin in WordPress 2.04.

Viewing 7 replies - 1 through 7 (of 7 total)
  • WP 2.1 changes the way category lists are displayed in the post editor (they are now unordered lists, which makes good sense to me), and that breaks the original limitcats plugin. I have a fix here that seems to work. Let me know if it helps you also.

    Thanks revilo788 for updating this.
    I will try it out.

    seattleturtle, thanks, you saved me hours of work trying to figure what changed. So far, its working.

    I’m glad that fix seems to be working for now. In case anyone needs limitcats functionality to also affect the “Add Link” and “Edit Link” pages (WP 2.1 has semi-integrated links categories with posts categories), I’ve posted a modification of the fixed limitcats plugin at the same location as above, which is identical except for also affecting the “Add Link” and “Edit Link” pages like it affects the post editor.

    smartsites

    (@smartsites)

    I getting this error now:

    Warning: array_intersect(): Argument #2 is not an array in /home/cavecrek/public_html/blogsite/wp-content/plugins/limitcats.php on line 357

    Warning: Cannot modify header information – headers already sent by (output started at /home/cavecrek/public_html/blogsite/wp-content/plugins/limitcats.php:357) in /home/cavecrek/public_html/blogsite/wp-includes/pluggable.php on line 275

    Hello

    I’m getting the same error as smartsites above – any solution?

    thanks

    Hey all, I almost didn’t find this… there is new version posted by the author within the comments:

    Access By Category

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Limit Categories plugin not working in 2.1?’ is closed to new replies.